Skip to main content
POST
getTokenSupply
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "getTokenSupply",
  "params": [
    "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"
  ]
}
'
{
  "jsonrpc": "2.0",
  "id": "1",
  "result": {
    "context": {
      "slot": 1114
    },
    "value": {
      "amount": "100000",
      "decimals": 2,
      "uiAmount": 1000,
      "uiAmountString": "1000"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://helius-codex-token-transfer-filter-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Request Parameters

address
string
required
Solana token mint address to retrieve supply metrics for (SPL token’s unique identifier).
commitment
string
The commitment level for the request.
  • confirmed
  • finalized
  • processed

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getTokenSupply

The name of the RPC method to invoke.

Available options:
getTokenSupply
Example:

"getTokenSupply"

params
(string | object)[]

Parameters for querying the token supply.

Solana token mint address to retrieve supply metrics for (SPL token's unique identifier).

Example:

"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"

Response

Successfully retrieved the token supply.

jsonrpc
enum<string>

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
object

Context and token supply details.